/*
 * Copyright (c) 2012 AgroSense.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    AgroSense - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.field.shape;

import java.io.Serializable;
import java.util.Objects;

/**
 *
 * @author johan
 */
public class ShapePropertyMapping implements Serializable {
    private static final long serialVersionUID = 1L;
    
    private final String valueProperty;

    public ShapePropertyMapping(String valueProperty) {
        this.valueProperty = Objects.requireNonNull(valueProperty);
    }

    public String getValueProperty() {
        return valueProperty;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 71 * hash + Objects.hashCode(this.valueProperty);
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final ShapePropertyMapping other = (ShapePropertyMapping) obj;
        if (!Objects.equals(this.valueProperty, other.valueProperty)) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return valueProperty;
    }
}
