/*
 * Copyright (c) 2012 AgroSense.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    AgroSense - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.field.shape;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JCheckBox;
import javax.swing.JPanel;
import net.miginfocom.swing.MigLayout;
import org.openide.util.NbBundle;

/**
 *
 * @author johan
 */
@NbBundle.Messages({"ShapePropertyMappingVisualPanel1.saveToRegistryCheckBox.text=Save mapping to registry"})
public final class ShapePropertyMappingVisualPanel1 extends JPanel {
    
    public static final String PROP_COMBOBOX_MAPPING_VALUE = "valueMappingBox";
    
    private final ShapePropertyMappingFormRow valueRow = ShapePropertyMappingFormRow.createValueRow(true);
    private final JCheckBox saveToRegistryCheckBox = new JCheckBox();
    
    /**
     * Creates new form ShapePropertyMappingVisualPanel1
     */
    public ShapePropertyMappingVisualPanel1() {
        initComponents();
    }
    
    @Override
    public String getName() {
        return "Step #1"; // not used because this panel will be wrapped in an ASBodyPanel
    }

    public JCheckBox getSaveToRegistryCheckBox() {
        return saveToRegistryCheckBox;
    }

    public ShapePropertyMappingFormRow getValueMappingFormRow() {
        return valueRow;
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     */
    @SuppressWarnings("unchecked")
    private void initComponents() {
        setLayout(new MigLayout("wrap 1, insets 0 8 0 0"));
        setBackground(Color.white);
        saveToRegistryCheckBox.setBackground(Color.white);
        saveToRegistryCheckBox.setText(Bundle.ShapePropertyMappingVisualPanel1_saveToRegistryCheckBox_text());
        add(valueRow);
        add(saveToRegistryCheckBox);
        
        valueRow.getPropertiesComboBox().addActionListener(new ActionListener() {
            @Override
            public void actionPerformed(ActionEvent e) {
                firePropertyChange(PROP_COMBOBOX_MAPPING_VALUE, null, valueRow.getSelectedProperty());
            }
        });
    }
}
